### Method

# Adw NavigationView push

since: 1.4

#### Declaration [src]

    void
    adw_navigation_view_push (
      AdwNavigationView* self,
      AdwNavigationPage* page
    )

#### Description [src]

Pushes `page` onto the navigation stack.

If `adw_navigation_view_add()` hasn’t been called, the page is automatically removed once it’s popped.

`AdwNavigationView::popped` will be emitted for `page`.

See `adw_navigation_view_push_by_tag()`.

Available since: 1.4

#### Parameters

`page`

  Type: `AdwNavigationPage`

  The page to push.

  The data is owned by the caller of the method.